// pages/meeting-inspection-history-detail/meeting-inspection-history-detail.js
const util = require('../../utils/util.js');
Page({

    /**
     * 页面的初始数据
     */
    data: {
        list: []
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        let that = this;
        util.get({
            url: '/api/inspection/record/queryDetails',
            header: {
                'content-type': 'application/x-www-form-urlencoded'
            },
            data: {
                id: options.id
            },
            success: (res) => {
                console.info(res)
                wx.hideLoading();
                let arr = res.data.data.inspectionResultVoList;
                for (let i in arr) {
                    if (arr[i].result == 10) {
                        arr[i].results = '正常';
                        arr[i].color = '#2EC3CD';
                    } else {
                        arr[i].results = '不正常';
                        arr[i].color = '#E95543';
                    }
                }
                that.setData({
                    list: arr
                });
            }
        });
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})